This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 980566 - More generic presentation of role names
More generic presentation of role names
Status: NEW
Product: Beaker
Classification: Community
Component: Doc (Show other bugs)
0.13
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
: Documentation, FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 14:05 EDT by Luigi Toscano
Modified: 2016-05-26 09:16 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luigi Toscano 2013-07-02 14:05:49 EDT
Description of problem:
The description of roles in the "Multihost tasks" section[1] could give the impression that CLIENTS, SERVERS and DRIVERS are the only possible choice as role, but any valid bash variable name can be used as role.
The description of role names could be more generic.

See https://lists.fedorahosted.org/pipermail/beaker-devel/2013-July/000612.html

[1] http://beaker-project.org/docs/user-guide/multihost.html

Version-Release number of selected component (if applicable):
0.13
Comment 2 Raymond Mancy 2013-07-02 19:00:53 EDT
SERVERS, CLIENTS and DRIVERS are actually hardcoded into certain helper functions of the rhts test env (actually, report_finish() is the only one I can see).

If your test does not rely on this (which it may not) then yes, any other value for ROLE will be fine. However, the integration of those role values should either be documented, or removed from rhts.
Comment 3 Nick Coghlan 2013-07-02 20:57:02 EDT
Any documentation updates should mention cases where the name *does* matter with respect to any helper functions, but the current docs certainly give the wrong impression.

Note You need to log in before you can comment on or make changes to this bug.